resource_rules:
  issues:
    rules:
      - name: Ask for updates on old issues
        conditions:
          date:
            attribute: created_at
            condition: older_than
            interval_type: years
            interval: 1
          state: opened
          forbidden_labels:
            - auto updated
        actions:
          comment: |
            Hi {{author}},

            This issue has been open for a year. If the issue is still relevant, to prevent the auto closure of this issue in two weeks,
            please add the ~"automation:prevent-auto-close" label.

          labels:
            - auto updated
      - name: Close issues marked for closure with 2 weeks of inactivity
        conditions:
          state: opened
          date:
            attribute: updated_at
            condition: older_than
            interval_type: weeks
            interval: 2
          labels:
            - auto updated
          forbidden_labels:
            - automation:prevent-auto-close
        actions:
          status: close
          labels:
            - auto closed
          comment: |
            This issue is now closed due to two weeks of inactivity.

            Please feel free to reopen if this issue is still relevant.
